Subject: Re: TCP rx window autotuning harmful at LAN context

From: Marian Ďurkovič <[email-masked]>
Date: Tue, 10 Mar 2009 12:46:06 +0100

On Tue, Mar 10, 2009 at 04:30:19AM -0700, David Miller wrote:
> From: Marian Ďurkovič <[email-masked]>
> Date: Tue, 10 Mar 2009 11:49:56 +0100
> 
> > Sender does not have the relevant info to implement this - it might be
> > connected by 10 GE to the highspeed backbone.
> 
> Yes, the sender does indeed have this information, and using it is
> exactly what congestion control algorithms such as VEGAS try to do.
> 
> They look at both round trip times and bandwith as they increase the
> send congestion window.  And if round trips increase without a
> corresponding increase in bandwidth, they stop increasing.

Yes, but that's actual bandwidth between sender and receiver, not
the hard BW limit of the receiver's NIC. My intention is just to introduce
some safety belt preventing autotuning to increase the rx window
into MB ranges when RTT is very low.